#!/usr/bin/ruby

require 'yaml'

yamltext = File.read('/opt/puppetlabs/puppet/cache/state/last_run_report.yaml')

yamltext.sub!(/^--- \!.*$/,'---')
yamltext.gsub!(/\!ruby[^ ]*/m,'')

status = YAML.load(yamltext)

exit 0 if status['logs'] == nil

err=0

status['logs'].each do |st|
  if st['level'] == 'err'
     puts "#{st['source']} - #{st['message']}"
     err=1
  end
end

if err==0
  puts "0"
  exit 0
else
  exit 1
end
